This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 784605 - Review Request: lv2-instance-access: An LV2 audio plug-in extension which enables plugin UIs access to an LV2 plugin
Review Request: lv2-instance-access: An LV2 audio plug-in extension which ena...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Preisler
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraAudio 788717
  Show dependency treegraph
 
Reported: 2012-01-25 09:47 EST by Brendan Jones
Modified: 2012-05-16 09:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-16 09:19:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mpreisle: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brendan Jones 2012-01-25 09:47:06 EST
LV2 is a standard for plugins and matching host applications, mainly
targeted at audio processing and generation.  

There are a large number of open source and free software synthesis
packages in use or development at this time. This API ('LV2') attempts
to give programmers the ability to write simple 'plugin' audio
processors in C/C++ and link them dynamically ('plug') into a range of
these packages ('hosts').  It should be possible for any host and any
plugin to communicate completely through this interface.

LV2 is a successor to LADSPA, created to address the limitations of
LADSPA which many hosts have outgrown.

lv2-instance-access is an extension which enables plugin UIs access to an LV2 plugin.
Similar to extension lv2-ui (bug 78167)

SRPM: http://bsjones.fedorapeople.org/lv2/spec/lv2-instance-access-1.4-1.fc16.src.rpm
SPEC: http://bsjones.fedorapeople.org/lv2/spec/lv2-instance-access.spec
Comment 1 Martin Preisler 2012-03-12 12:29:56 EDT
Taking this for a formal review.
Comment 2 Martin Preisler 2012-03-12 12:59:08 EDT
$ rpmlint lv2-instance-access.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint lv2-instance-access-1.4-1.fc16.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint lv2-instance-access-*
lv2-instance-access.x86_64: E: no-binary
lv2-instance-access.x86_64: W: only-non-binary-in-usr-lib
lv2-instance-access-devel.x86_64: W: no-documentation
lv2-instance-access-devel.x86_64: W: dangling-relative-symlink /usr/include/lv2/lv2plug.in/ns/ext/instance-access ../../../../../lib64/lv2/instance-access.lv2
2 packages and 0 specfiles checked; 1 errors, 3 warnings.

! If lv2-instance-access has no binaries in it, it should be noarch.
! http://lv2plug.in/spec/%{name}-%{version}.tar.bz2 has "waf" binary blob in it.
! dangling symlink

There is a typo in the bug referred, it is #781687

Also, perhaps I am blind but the archive seems to only contain packaging metadata, not any code.
Comment 3 Brendan Jones 2012-03-12 14:07:46 EDT
Thanks for the review - sorry bug 781687 is the one that should be listed.

You are right - there's no compiled code here. This is a plugin module as described by the metadata. Plugins that use this will generally be built using the devel package and have an explicit requires on the the main package so that the host software has all it needs to instantiate the plugin.

So I'm not sure that noarch is correct given that any plugin built using this may be multi-arch and will require the directory of this plugin owned correctly (ie /usr/lib/lv2 or /usr/lib64/lv2). I think it needs to own both.

I think the dangling symlink error is OK

There is another pending review which depends on this - it may give you some context (bug 788717)
Comment 4 Martin Preisler 2012-03-14 09:44:02 EDT
You are probably right regarding noarch. Also the binary blob I was talking about is just the infamous waf self extracting part and while it's horrible, it's also acceptable with current policy.

regarding rpmlint messages:
* no-binary is safe to ignore in this case
* the dangling symlink as well

OK matches upstream tarball
OK naming guidelines
OK Fedora approved license
OK license matches upstream
OK package builds
OK permissions
OK spec file clean and legible,
OK no desktop file
OK owns all directories it creates

The package is very similar to lv2-ui which has already been approved. Looks like hdegoede did most of the work for me and you applied all that to this package :-D

APPROVED.
Comment 5 Brendan Jones 2012-03-14 11:39:42 EDT
Thanks for the review!

New Package SCM Request
=======================
Package Name: lv2-instance-access
Short Description: An LV2 audio plug-in UI extension 
Owners: bsjones
Branches: f15 f16 f17
InitialCC:
Comment 6 Jon Ciesla 2012-03-14 11:57:10 EDT
Git done (by process-git-requests).
Comment 7 Brendan Jones 2012-05-16 09:19:36 EDT
This is no longer required

Note You need to log in before you can comment on or make changes to this bug.